/*
 * Copyright 2010 Nabeel Mukhtar 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 * 
 */
package com.github.api.v2.services.constant;

/**
 * The Interface ParameterNames.
 */
public interface ParameterNames {

	/** The Constant VERSION. */
	public static final String VERSION = "version";
	
	/** The Constant USER_NAME. */
	public static final String USER_NAME = "userName";
	
	/** The Constant EMAIL. */
	public static final String EMAIL = "email";
	
	/** The Constant REPOSITORY_NAME. */
	public static final String REPOSITORY_NAME = "repositoryName";
	
	/** The Constant KEYWORD. */
	public static final String KEYWORD = "keyword";
	
	/** The Constant STATE. */
	public static final String STATE = "state";
	
	/** The Constant ISSUE_NUMBER. */
	public static final String ISSUE_NUMBER = "issueNumber";
	
	/** The Constant LABEL. */
	public static final String LABEL = "label";
	
	/** The Constant GIST_ID. */
	public static final String GIST_ID = "gistId";
	
	/** The Constant FILE_NAME. */
	public static final String FILE_NAME = "fileName";
	
	/** The Constant NET_HASH. */
	public static final String NET_HASH = "nethash";
	
	/** The Constant START_INDEX. */
	public static final String START_INDEX = "start";
	
	/** The Constant END_INDEX. */
	public static final String END_INDEX = "end";
	
	/** The Constant LANGUAGE. */
	public static final String LANGUAGE = "language";
	
	/** The Constant START_PAGE. */
	public static final String START_PAGE = "start_page";
	
	/** The Constant VISIBILITY. */
	public static final String VISIBILITY = "visibility";
	
	/** The Constant BRANCH. */
	public static final String BRANCH = "branch";
	
	/** The Constant FILE_PATH. */
	public static final String FILE_PATH = "filePath";
	
	/** The Constant SHA. */
	public static final String SHA = "sha";
	
	/** The Constant FORMAT. */
	public static final String FORMAT = "format";
	
	/** The Constant NAME. */
	public static final String NAME = "name";
	
	/** The Constant BLOG. */
	public static final String BLOG = "blog";
	
	/** The Constant COMPANY. */
	public static final String COMPANY = "company";
	
	/** The Constant LOCATION. */
	public static final String LOCATION = "location";
	
	/** The Constant ID. */
	public static final String ID = "id";
	
	/** The Constant TITLE. */
	public static final String TITLE = "title";
	
	/** The Constant KEY. */
	public static final String KEY = "key";
	
	/** The Constant BODY. */
	public static final String BODY = "body";
	
	/** The Constant COMMENT. */
	public static final String COMMENT = "comment";
	
	/** The Constant DESCRIPTION. */
	public static final String DESCRIPTION = "description";
	
	/** The Constant HOME_PAGE. */
	public static final String HOME_PAGE = "homepage";
	
	/** The Constant HAS_WIKI. */
	public static final String HAS_WIKI = "has_wiki";
	
	/** The Constant HAS_ISSUES. */
	public static final String HAS_ISSUES = "has_issues";
	
	/** The Constant HAS_DOWNLOADS. */
	public static final String HAS_DOWNLOADS = "has_downloads";
	
	/** The Constant LOGIN. */
	public static final String LOGIN = "login";
	
	/** The Constant TOKEN. */
	public static final String TOKEN = "token";
	
	/** The Constant ACCESS_TOKEN. */
	public static final String ACCESS_TOKEN = "access_token";
	
    /** The Constant CLIENT_ID. */
    public static final String CLIENT_ID = "client_id";
    
    /** The Constant CLIENT_SECRET. */
    public static final String CLIENT_SECRET = "client_secret";
    
    /** The Constant REDIRECT_URI. */
    public static final String REDIRECT_URI = "redirect_uri";
    
    /** The Constant CODE. */
    public static final String CODE = "code";
    
    /** The Constant SCOPE. */
    public static final String SCOPE = "scope";
    
    /** The Constant PUBLIC. */
    public static final String PUBLIC = "public";
    
    /** The Constant DELETE_TOKEN. */
    public static final String DELETE_TOKEN = "delete_token";

	/** The Constant NUM. */
	public static final String NUM = "num";
	
	/** The Constant ORGANIZATION_NAME. */
	public static final String ORGANIZATION_NAME = "organizationName";
	
	/** The Constant TEAM_ID. */
	public static final String TEAM_ID = "teamId";
	
	/** The Constant PERMISSION. */
	public static final String PERMISSION = "permission";
	
	/** The Constant REPO_NAMES. */
	public static final String REPO_NAMES = "repo_names";
	
	/** The Constant BILLING_EMAIL. */
	public static final String BILLING_EMAIL = "billing_email";

	/** The Constant BASE. */
	public static final String BASE = "base";

	/** The Constant HEAD. */
	public static final String HEAD = "head";

	/** The Constant COLLABORATOR_NAME. */
	public static final String COLLABORATOR_NAME = "collaboratorName";
	
	/** The Constant PAGE. */
	public static final String PAGE = "page";

	/** The Constant SEARCH. */
	public static final String SEARCH = "search";
	
	/** The Constant LATITUDE. */
	public static final String LATITUDE = "lat";
	
	/** The Constant LONGITUDE. */
	public static final String LONGITUDE = "long";
	
	/** The Constant FULL_TIME. */
	public static final String FULL_TIME = "full_time";
}
